# Type Alias SocialActionDeprecated

#### Deprecated

type SocialActionDeprecated = {
class: string;
cssClass: string;
cssColor: string;
isActive: boolean;
label: string;
stats?: { total: number };
struct: SocialActionStructDeprecated;
type: string;
}

- Defined in jamespot-user-api/src/types/global.ts:32

##### Index

### Properties

class
cssClass
cssColor
isActive
label
stats?
struct
type

## Properties

### class

class: string

- Defined in jamespot-user-api/src/types/global.ts:34

### cssClass

cssClass: string

- Defined in jamespot-user-api/src/types/global.ts:37

### cssColor

cssColor: string

- Defined in jamespot-user-api/src/types/global.ts:38

### isActive

isActive: boolean

- Defined in jamespot-user-api/src/types/global.ts:35

### label

label: string

- Defined in jamespot-user-api/src/types/global.ts:36

### `Optional` stats

stats?: { total: number }

- Defined in jamespot-user-api/src/types/global.ts:40

### struct

struct: SocialActionStructDeprecated

- Defined in jamespot-user-api/src/types/global.ts:39

### type

type: string

- Defined in jamespot-user-api/src/types/global.ts:33